import request from "@/utils/request";

/**
 * 获取验证码
 * @param {*} id 随机字符串
 */
export function qrCodeLogin(id) {
    return request({
        url: '/qrcode/login/' + id,
        method: 'GET',
    })
}

/**
 * 发送验证码邮件
 * @param {*} phoneNumber 手机号
 */
export function sendMessage(phoneNumber, imgCodeId, code) {
    return request({
        url: '/bis/insp/sendMessage',
        method: 'POST',
        data: {
            'phone': phoneNumber,
            'imgCodeId': imgCodeId,
            'code': code,
        },
        params: {
            'phone': phoneNumber,
            'imgCodeId': imgCodeId,
            'code': code,
        }
    })
}

/**
 * 验证码登录
 * @param {*} code 验证码
 * @param {*} message 短信验证码
 * 
 */ 
export function loginWithMessage(code, message) {
    return request({
        url: '/bis/insp/loginByCode',
        method: 'POST',
        data: {
            'code': message,
            'phone': code
        },
        params: {
            'code': message,
            'phone': code
        }
    })
}
